Package: groovy.org.codenarc.rule.unused

## [Groovy] Class UnusedMethodParameterRule

- groovy.org.codenarc.rule.unused.UnusedMethodParameterRule

- This rule finds instances of method parameters not being used. It does not analyze private methods (that is done by the UnusedPrivateMethodParameter rule) or methods marked

  Override.:
    @author Hamlet D'Arcy
  Authors:
    Chris Mair

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Class` | `astVisitorClass`
    `String` | `ignoreClassRegex`
    `String` | `ignoreRegex`
    `String` | `name`
    `int` | `priority`

- - ### Property Detail

    - #### Class astVisitorClass

    - #### String ignoreClassRegex

    - #### String ignoreRegex

    - #### String name

    - #### int priority